---
wsId: BullWallet
title: BULL WALLET
altTitle: 
authors:
- danny
users: 10000
appId: com.wallet.bull
appCountry: us
released: 2021-06-28
updated: 2021-10-13
version: 1.4.1-947
stars: 4.5
ratings: 713
reviews: 23
size: 20M
website: https://bullcoin.finance/
repository: 
issue: 
icon: com.wallet.bull.png
bugbounty: 
meta: ok
verdict: nosource
date: 2021-09-30
signer: 
reviewArchive: 
twitter: bullcoinfinance
social:
- https://www.reddit.com/r/bullcoinfinance
- https://github.com/BullCoinFinance
redirect_from: 

---

### Official Website
In the [Privacy Policy](https://bullcoin.finance/privacy) Bull Finance claims to be decentralized:

> Bull Finance is an open and decentralized financial ecological network. Bull Finance combines Polkadot's cross-chain collaboration technology and the Substrate modular development framework to provide one-click development solutions for participants in the open financial ecological network and provide the underlying protocol standards for the open financial ecological network.

In the [Help Center](https://bullfinance.bullcoin.finance/en-us/articles/36547650), Bull Finance claims that it does not store the private key:

> You are solely responsible for the storage of the mnemonic phrase. Without it, you will not be able to access your wallet. BullWallet will not store your mnemonic phrase/private key, and we will not collect any personal information.

We do not have access to the app's source code. While BullWallet has provided a link to its [Github profile](https://github.com/BullCoinFinance), none of the repositories actually link to source code for this app. 

### App
Upon installing the app, we were given the option to create a wallet or import a wallet. We tried importing a BTC wallet by entering the 12-word mnemonic provided in another BTC wallet we created. We were able to successfully import the wallet. We can send and receive Bitcoin from the app. It also has the ability to export either the mnemonic or the private key.

### Verdict
Despite its provision of a Github repository, we were not able to find the source for the actual wallet. The app was last updated, as of this writing, on August 23, 2021. This was fairly recent. Therefore we are compelled to give a verdict of **no source**.
